.. _api:

API documentation
=================

.. sectionauthor:: Matt Swain <m.swain@me.com>

.. module:: cirpy

This part of the documentation is automatically generated from the CIRpy source code and comments.

Resolve
-------

.. autofunction:: resolve

Query
-----

.. autofunction:: query

Result
------

.. autoclass:: Result
   :members:

Images
------

.. autofunction:: resolve_image

Request
-------

.. autofunction:: request

Download
--------

.. autofunction:: download

API URLs
--------

.. autofunction:: construct_api_url

Molecule
--------

.. autoclass:: Molecule
   :members:
